# $Revision: 1.63 $, $Date: 2011/03/13 10:29:03 $
#
# TODO:
# - shouldn't headers be provided by 2.6.27 linux-libc-headers instead of -devel here?
#
# Conditional build:
%bcond_with	kernel		# mISDN merged in 2.6.27, defaults off
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)
#
%if %{without kernel}
%undefine       with_dist_kernel
%endif
#
%define		upstream_version		%(echo %{version} |tr . _)

%define		rel	2
Summary:	mISDN - modular ISDN
Summary(pl.UTF-8):	mISDN - modularny ISDN
Name:		mISDN
Version:	1.1.9.2
Release:	%{rel}
Epoch:		1
License:	GPL
Group:		Base/Kernel
Source0:	http://www.misdn.org/downloads/releases/%{name}-%{upstream_version}.tar.gz
# Source0-md5:	f9ec111fcc40c9ef48fc1822317998be
URL:		http://www.misdn.org/
%{?with_dist_kernel:BuildRequires:	kernel-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.332
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mISDN (modular ISDN) is the new ISDN stack of the Linux kernel version
2.6.

%description -l pl.UTF-8
mISDN (modularny ISDN) to nowy stos ISDN dla jądra Linuksa w wersji
2.6.

%package init
Summary:	init scripts for mISDN
Summary(pl.UTF-8):	Skrypty inicjalizujące dla mISDN
Group:		Applications/Communications
Requires(post,preun):	/sbin/chkconfig
Requires:	/usr/bin/lsusb
Requires:	bc
Requires:	rc-scripts
Requires:	which

%description init
mISDN boot-time initialization.

%description init -l pl.UTF-8
Inicjalizacja mISDN w czasie startu systemu.

%package -n kernel%{_alt_kernel}-isdn-mISDN
Summary:	Linux driver for mISDN
Summary(pl.UTF-8):	Sterownik dla Linuksa do mISDN
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(mISDN)

%description -n kernel%{_alt_kernel}-isdn-mISDN
This is driver for mISDN for Linux.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-isdn-mISDN -l pl.UTF-8
Sterownik dla Linuksa do mISDN.

Ten pakiet zawiera moduł jądra Linuksa.

%package devel
Summary:	Development header files for mISDN
Summary(pl.UTF-8):	Pliki nagłówkowe mISDN
Group:		Development/Libraries

%description devel
Development header files for mISDN.

%description devel -l pl.UTF-8
Pliki nagłówkowe mISDN.

%prep
%setup -q -n %{name}-%{upstream_version}

%build

%if %{with kernel}
cp -r include/linux drivers/isdn/hardware/mISDN/

sed s/CONFIG_MISDN_MEMDEBUG=y//g add.config > drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_NETJET=y" >> drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_HFCUSB=y" >> drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_HFCMINI=y" >> drivers/isdn/hardware/mISDN/Makefile
%ifnarch hppa mips ppc ppc64 s390 s390x sparc sparc64
echo "CONFIG_MISDN_HFCMULTI=y" >> drivers/isdn/hardware/mISDN/Makefile
%endif
echo "CONFIG_MISDN_XHFC=y" >> drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_DSP=y" >> drivers/isdn/hardware/mISDN/Makefile
echo "CONFIG_MISDN_LOOP=y" >> drivers/isdn/hardware/mISDN/Makefile

sed -e 's#$(.*)#m#g' drivers/isdn/hardware/mISDN/Makefile.v2.6 >> drivers/isdn/hardware/mISDN/Makefile
%build_kernel_modules -m l3udss1,mISDN_capi,mISDN_core,mISDN_dtmf,mISDN_x25dte,mISDN_isac,mISDN_l1,mISDN_l2,avmfritz,netjetpci,hfcpci,hfcsusb,hfcsmini,sedlfax,w6692pci,xhfc,mISDN_dsp,mISDN_loop -C drivers/isdn/hardware/mISDN/

%ifnarch hppa mips ppc ppc64 s390 s390x sparc sparc64
%build_kernel_modules -m hfcmulti -C drivers/isdn/hardware/mISDN/
%endif

%endif

%install
rm -rf $RPM_BUILD_ROOT

# init files
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/rc.d/init.d}
install std2kern stddiff $RPM_BUILD_ROOT%{_bindir}
install misdn-init $RPM_BUILD_ROOT/etc/rc.d/init.d

# devel files
install -d $RPM_BUILD_ROOT%{_includedir}/linux
install include/linux/*.h $RPM_BUILD_ROOT%{_includedir}/linux

%if %{with kernel}
# kernel modules
cd drivers/isdn/hardware/mISDN
sep="%{?with_dist_kernel:dist}%{!?with_dist_kernel:nondist}"
mods=$(echo *-${sep}.ko | sed -e "s#-${sep}.ko##g" -e 's# #,#g')
%install_kernel_modules -m $mods -d kernel/drivers/isdn/hardware/mISDN
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add misdn-init
%service misdn-init restart

%preun init
if [ "$1" = "0" ]; then
	%service misdn-init stop
	/sbin/chkconfig --del misdn-init
fi

%post	-n kernel%{_alt_kernel}-isdn-mISDN
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-isdn-mISDN
%depmod %{_kernel_ver}

%files init
%defattr(644,root,root,755)
%doc README.misdn-init
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(755,root,root) %{_bindir}/*

%if %{with kernel}
%files -n kernel%{_alt_kernel}-isdn-mISDN
%defattr(644,root,root,755)
%dir /lib/modules/%{_kernel_ver}/kernel/drivers/isdn/hardware/mISDN
/lib/modules/%{_kernel_ver}/kernel/drivers/isdn/hardware/mISDN/*.ko*
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/linux/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mISDN.spec,v $
Revision 1.63  2011/03/13 10:29:03  arekm
- rel 2; fix lsusb dep

Revision 1.62  2010/10/23 12:18:00  caleb
- Renamed macro to avoid conflict with adapter

Revision 1.61  2010/10/23 12:15:38  caleb
- Up to 1.1.9.2
- Note: adaptor kills this spec by placing a macro-in-a-macro.

Revision 1.60  2009/06/02 07:45:11  jajcus
- R: /usr/sbin/lsusb for the init subpackage

Revision 1.59  2009/06/01 11:28:04  jajcus
- Version: 1.1.9 (1_1_9.1 in fact)

Revision 1.58  2008/11/21 16:15:34  arekm
- release 13

Revision 1.57  2008/11/04 09:04:21  glen
- comment for kernel bcond

Revision 1.56  2008/11/04 07:59:18  arekm
- rel 12; kernel bconf off by default (mISDN merged in 2.6.27)

Revision 1.55  2008/11/04 07:41:50  arekm
- release 11

Revision 1.54  2008/10/13 20:47:47  arekm
- release 10

Revision 1.53  2008/09/25 08:47:45  pluto
- added TODO (removal note).

Revision 1.52  2008/09/02 06:41:56  arekm
- release 9

Revision 1.51  2008/08/07 06:21:43  arekm
- release 8

Revision 1.50  2008/08/03 10:20:01  arekm
- release 7

Revision 1.49  2008/07/25 07:10:13  arekm
- release 6

Revision 1.48  2008/07/19 08:01:18  arekm
- release 5

Revision 1.47  2008/07/15 09:15:58  arekm
- release 4

Revision 1.46  2008/07/02 20:43:53  arekm
- release 3

Revision 1.45  2008/06/26 06:46:29  arekm
- release 2

Revision 1.44  2008/06/24 12:07:59  arekm
- up to 1.1.8

Revision 1.43  2008/06/24 11:26:52  arekm
- release 5

Revision 1.42  2008-03-27 22:32:33  glen
- release 4 (2.6.22.19-5)

Revision 1.41  2008-03-10 12:21:59  arekm
- release 3

Revision 1.40  2008-02-11 11:32:34  arekm
- rel 2

Revision 1.39  2008-01-25 22:20:48  qboosh
- updated to 1.1.7.2 (merged from AC-branch, by marcus)

Revision 1.38  2008-01-22 22:54:21  glen
- rel 5 (2.6.16.59-2)

Revision 1.37  2007-12-17 14:19:12  arekm
- rel 4

Revision 1.36  2007-12-15 11:59:40  arekm
- rel 3

Revision 1.35  2007-12-12 11:17:01  adamg
- init subpackage

Revision 1.34  2007-12-12 10:47:54  adamg
- introduce alt_kernel macro
- fix path (missing kernel/ component)
- use %install_kernel_modules

Revision 1.33  2007-11-29 08:04:59  arekm
- rel 2

Revision 1.32  2007-11-25 09:52:55  qboosh
- merged update to 1.1.7 from AC-branch (by marcus)

Revision 1.31  2007/07/11 21:28:59  qboosh
- listed more big-endians

Revision 1.30  2007/07/11 14:53:58  qboosh
- hfcmulti on little-endians only (merged from AC-branch, by marcus)

Revision 1.29  2007/07/09 15:57:18  qboosh
- merged update to 1.1.5 from AC-branch (by marcus)

Revision 1.28  2007/06/14 15:40:01  qboosh
- merged update to 1.1.4 from AC-branch (by marcus)

Revision 1.27  2007/05/30 19:01:38  qboosh
- merged update to 1.1.3 from AC-branch (by marcus)

Revision 1.26  2007/04/19 06:49:35  arekm
- new style kernel macros

Revision 1.25  2007/03/31 22:37:41  marcus
- up to 1.1.1

Revision 1.24  2007/03/14 00:22:09  glen
- up bcond

Revision 1.23  2007/02/22 12:42:11  marcus
- up to 1.1.0

Revision 1.22  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.20  2006/12/31 08:44:09  marcus
- added provides kernel(mISDN)

Revision 1.19  2006/12/29 23:14:02  marcus
- disabled MEMDBG (http://www.isdn4linux.de/pipermail/isdn4linux/2006-March/002061.html)
- works. rel.1.

Revision 1.18  2006/12/19 22:41:12  qboosh
- epoch 1

Revision 1.17  2006/12/19 10:46:31  marcus
- fix

Revision 1.16  2006/12/19 10:36:31  marcus
- added build some hw modules

Revision 1.15  2006/12/19 09:51:16  shadzik
- automate mISDN_version

Revision 1.14  2006/12/19 09:42:30  shadzik
- builds

Revision 1.13  2006/12/19 09:35:32  shadzik
- one step closer

Revision 1.12  2006/12/19 09:27:39  shadzik
- fix build

Revision 1.11  2006/12/19 09:09:56  shadzik
- update rpmbuild(macros) BR

Revision 1.10  2006/12/18 08:29:50  marcus
- start update to 1_0_4, need work, nfy

Revision 1.9  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.8  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.7  2005/09/04 10:31:26  ankry
- tabs

Revision 1.6  2005/09/04 08:32:05  qboosh
- pl for -devel

Revision 1.5  2005/09/03 21:16:18  areq
- add package devel

Revision 1.4  2005/08/29 21:37:54  arekm
- fixed

Revision 1.3  2005/08/29 21:31:53  arekm
- more work

Revision 1.2  2005/08/28 13:17:36  qboosh
- pl desc

Revision 1.1  2005/08/28 11:49:36  areq
- new ISDN stack of the linux kernel version 2.6
- raw PLD spec, NFY
